Subject: RE: [Speechsc] Updated version (v0.2) for speechsc WG Internet Dr aft submission protocol evaluation document

From: Rajiv Dharmadhikari <[email-masked]>
Date: Mon, 28 Oct 2002 09:59:23 -0800

My updates from yesterday did not make in the v0.2 of the document. So, I am
starting discussion thread with comments on my section :-). Here are the
updates to the SIP section. 

5.3.	Analysis of TTS requirements

5.3.1.	Requesting Text Playback [6.1]
P+: SIP does not provide primitives for text playback. New SIP URI can be
defined to invoke TTS features. 

5.3.2.	Text Formats [6.2]
T: SIP message body can carry TTS text or reference to the TTS text. SIP
message body will need to have a field to identify the document type.

5.3.3.	Plain text [6.2.1]
T: See 5.3.2.

5.3.4.	SSML [6.2.2]
T: See 5.3.2.

5.3.5.	Text in Control Channel [6.2.3]
T : See 5.3.2.
 
5.3.6.	Document Type Indication [6.2.4]
T: See 5.3.2. 

5.3.7.	Control Channel [6.3]
T: Separate SIP URI can be defined for control channel. 

5.3.8.	Playback Controls [6.4]
P+: See 5.3.1

5.3.9.	Session Parameters [6.5]
P+: Session parameters can be passed in body part of SIP or can be modified
by using mid call methods of SIP.

5.3.10.	Speech Markers [6.6]

	T: Speech markers can be delivered using a separate control channel.
See 5.3.7.

5.4.	Analysis of ASR requirements

5.4.1.	Requesting Automatic Speech Recognition [7.1]
T: New SIP URI can be defined to address ASR services and requesting ASR
resources.

5.4.2.	XML [7.2]
T: SIP message body can carry XML.

5.4.3.	Grammar Specification [7.3.1]
	P+: With proper definition, SIP message body can carry XML grammars
or references to the XML grammars.

5.4.4.	Explicit Indication of Grammar Format [7.3.2]
P+: See 5.4.3.

5.4.5.	Grammar Sharing [7.3.3]
TBD

5.4.6.	Session Parameters [7.4]
T: Session parameters can be passed in body part of SIP or can be modified
by using mid call methods of SIP.

5.4.7.	Input Capture [7.5]
T: SIP SUBSCRIBE/NOTIFY mechanism can be used initiate input capture and
receive the result. 
	
5.5.	Analysis of Speaker Identification and Verification Requirements

5.5.1.	Requesting SI/SV [8.1]
T: New SIP URI can be defined for SI/SV.

5.5.2.	Identifiers for SI/SV [8.2]
T: See 5.5.1.

5.5.3.	State for multiple utterances [8.3]
TBD

5.5.4.	Input Capture [8.4]
T: SIP SUBSCRIBE/NOTIFY mechanism can be used initiate input capture and
receive the result.

5.5.5.	SI/SV functional extensibility [8.5]
T: SIP can easily be extended by adding new methods and header fields
without impacting the operation of existing methods. The new methods and
headers will only be understood by the SPEECHSC entities. If above is not
acceptable, SIP message body of an existing primitive can be used to define
new semantics that is understood only by SPEECHSC entities.

5.6.	Analysis of Duplexing and Parallel Operation Requirements

5.6.1.	Duplexing and Parallel Operation Requirements [9]
T: SPEECHSC resource is a SIP UA that can handle session requests from
different UAs.

5.6.2.	Full Duplex operation [9.1.1]
T: Each SIP UA consists of a UAC and a UAS. This allows for full duplex
operation.

5.6.3.	Multiple services in parallel [9.1.2]
T: SIP allows simultaneous invocation of different services. SIP allows
forking or splitting the same media stream to different end points as
defined in [2].

5.6.4.	Combination of services
T: See 5.6.3. SIP UA can invoke different services and combine the results.

> -----Original Message-----
> From: Brian Wyld [mailto:[email-masked]]
> Sent: Sunday, October 27, 2002 3:33 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; Brian Wyld (E-mail);
> Speechsc (E-mail)
> Subject: [Speechsc] Updated version (v0.2) for speechsc WG Internet
> Draft submission protocol evaluation document
> 
> 
> Hi,
> 
> Sorry, but attached is an UPDATE to the draft I just submitted to take
> account of last minute additions. This draft is v0.2. I have 
> also re-created
> the .txt to be in US Letter size format as per most IETF docs....
> 
> I hope this version can be the legitimate Internet Draft for speechsc
> protocol evaluation. Please ignore the previous version.
> 
> Thanks
> 
> Brian
> 
> [Brian Wyld] [[email-masked]]
> [Directeur General R&D]
> [Eloquant SA] [+33 476 77 46 92] [www.eloquant.com]
> [advanced solutions for telecoms and IT services]
> 
_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc